<!-- The Search.lasso page is for the most part a straight-forward HTML form, but contains several elements that allow it to communicate with an [Inline] tag on the response page. This page contains a text input for each field in the database. -->

<!-- When the user submits the form, the user will be taken to the searchresponse.lasso page per the form action. The searchresponse.lasso page will contain an [Inline] tag which processes and displays results based on the information submitted in the form. -->

<!-- Each field input is preceded by an -Operator command tag with selectable values in a pull-down menu. For more information on operators, see Chapter 7: Searching and Displaying Records in the Lasso 6 Language Guide. -->

[Include:'header.lasso']

<form action="searchresponse.lasso" method="POST">
	<table bgcolor="#FFFFFF" cellspacing="1" cellpadding="2" width="550" border="0">
		<tr>
			<td colspan="2"> <h2>Search Records</b></h2>

			 </td>
		</tr>
		<tr>
			<td><b> ID </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="id" value="[Action_Param: 'id']"></input> </td>
			<td width="200"> &nbsp;</td>
		</tr>
		<tr>
			<td><b> Address </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="address" value="[Action_Param: 'address']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td><b> City </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="city" value="[Action_Param: 'city']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td><b> Company </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="company" value="[Action_Param: 'company']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td><b> Description </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="description" value="[Action_Param: 'description']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td><b> Phone </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="phone" value="[Action_Param: 'phone']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td><b> State </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="state" value="[Action_Param: 'state']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td><b> URL </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="url" value="[Action_Param: 'url']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td><b> Zip </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="zip" value="[Action_Param: 'zip']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td><b> Country </b></td>
			<td align="left"> 
			<select name="-operator">
			<option value="cn">Contains</option>
			<option value="bw">Begins With</option>
			<option value="eq">Equals</option>
			</select> 
			</td>
			<td align="left"> <input type="text" name="country" value="[Action_Param: 'country']"></input> </td>
			<td> &nbsp;</td>
		</tr>
		<tr>
			<td colspan="2"> 
			<p>&nbsp;</p>
	<input type="submit" name="-Token.Action" value="Search Records">
	<input type="submit" name="-Token.Action" value="Find All Records">

 </td>
		</tr>
	</table>
</form>

[Include:'footer.lasso']
