#ifndef _MOD_LASSO_H_
#define _MOD_LASSO_H_

#include <httpd.h>
#include <http_config.h>
#include <http_protocol.h>
#include <http_protocol.h>
#include <http_main.h>
#include <http_core.h>
#include <ap_compat.h>
#include "../../LassoService/LassoProto.h"
#include "../../LassoService/LassoProtoUtils.h"
#include "../../LassoService/RequestParams.h"

#if __cplusplus
extern "C"
{
#endif

/*
	Prototypes:
*/
/* returns the socket or -1 */
int open_connection(pool * p, server_rec * s);
int lasso_handler (request_rec *r);
void init_module(server_rec*, pool*);
void child_term_handler(server_rec*, pool*);
void child_init_handler(server_rec*, pool*);
int get_param( request_rec * r, RequestParamKeyword word, const char * param, char ** data, int * outLen );
int get_post( int sock, request_rec * r, class POSTReader * reader );

#if __cplusplus
}
#endif

#endif