<?LassoScript

//
// Variables
//

_admin_addvar: 'build_connectorid', -default='1', -session='_admin', -override=(action_param: 'build_connectorid');
_admin_addvar: 'build_hostid', -session='_admin', -override=(action_param: 'build_hostid');
_admin_addvar: 'build_databaseid', -session='_admin', -override=(action_param: 'build_databaseid');
_admin_addvar: 'build_tableid', -session='_admin', -override=(action_param: 'build_tableid');

_admin_addvar: 'build_action', -default='None', -override=(action_param: 'build_action', (action_param: 'build_action', -count));
_admin_addvar: 'build_actionraw', -default='None', -override=(action_param: 'build_action');
_admin_addvar: 'build_table_skip', -default=1, -session='_admin', -override=(action_param: 'build_table_skip');
_admin_addvar: 'build_navigation', -override=(action_param: 'build_navigation');
_admin_addvar: 'build_jump', -override=(action_param: 'build_jump');

_admin_addvar: 'database_name', -override=(action_param: 'database_name');
_admin_addvar: 'database_alias', -override=(action_param: 'database_alias');

_admin_addvar: 'table_name', -override=(action_param: 'table_name');
_admin_addvar: 'table_alias', -override=(action_param: 'table_alias');
_admin_addvar: 'table_enabled', -override=(action_param: 'table_enabled');

_admin_addvar: 'create_connectorid', -default='1', -session='_admin', -override=(action_param: 'create_connectorid');
_admin_addvar: 'create_hostid', -session='_admin', -override=(action_param: 'create_hostid');
_admin_addvar: 'create_databaseid', -session='_admin', -override=(action_param: 'create_databaseid');
_admin_addvar: 'create_tableid', -session='_admin', -override=(action_param: 'create_tableid');

_admin_addvar: 'create_action', -default='None', -override=(action_param: 'create_action');
_admin_addvar: 'create_name', -default='New_Table', -override=(action_param: 'create_name');
_admin_addvar: 'create_alias', -override=(action_param: 'create_alias');
_admin_addvar: 'create_enabled', -override=(action_param: 'create_enabled');
_admin_addvar: 'create_type', -default='New', -override=(action_param: 'create_type');
_admin_addvar: 'create_data', -default='No', -override=(action_param: 'create_data', (action_param: 'create_data', -count));
_admin_addvar: 'create_fmpmodel', -default='No', -override=(action_param: 'create_fmpmodel', (action_param: 'create_fmpmodel', -count));
_admin_addvar: 'create_index', -default='No', -override=(action_param: 'create_index', (action_param: 'create_index', -count));

_admin_addvar: 'dialog_action', -default='None', -override=(action_param: 'dialog_action');

var: 'reserved_words' = (array:
	'add','all','alter','analyze','and','as','asc','auto_increment','bdb',
	'berkeleydb','between','bigint','binary','blob','both','by','cascade',
	'case','change','char','character','column','columns','constraint',
	'create','cross','current_date','current_time','current_timestamp',
	'database','databases','day_hour','day_minute','day_second','dec',
	'decimal','default','delayed','delete','desc','describe','distinct',
	'distinctrow','double','drop','else','enclosed','escaped','exists',
	'explain','fields','float','for','foreign','from','fulltext','function',
	'grant','group','having','high_priority','hour_minute','hour_second',
	'if','ignore','in','index','infile','inner','innodb','insert','int',
	'integer','interval','into','is','join','key','keys','kill','leading',
	'left','like','limit','lines','load','lock','long','longblob','longtext',
	'low_priority','master_server_id','match','mediumblob','mediumint',
	'mediumtext','middleint','minute_second','mrg_myisam','natural','not',
	'null','numeric','on','optimize','option','optionally','or','order',
	'outer','outfile','partial','precision','primary','privileges',
	'procedure','purge','read','real','references','regexp','rename',
	'replace','require','restrict','returns','revoke','right','rlike',
	'select','set','show','smallint','soname','sql_big_result',
	'sql_calc_found_rows','sql_small_result','ssl','starting','straight_join',
	'striped','table','tables','terminated','then','tinyblob','tinyint',
	'tinytext','to','trailing','union','unique','unlock','unsigned','update',
	'usage','use','user_resources','using','values','varbinary','varchar',
	'varying','when','where','with','write','xor','year_month','zerofill');

if: $build_actionraw >> 'Duplicate Table...';

	var: 'build_action' = 'Create Table...';
	var: 'create_type' = 'Duplicate';

else: $build_actionraw >> 'Create Table...';

	var: 'build_action' = 'Create Table...';
	var: 'create_type' = 'New';

/if;


//
// Duplicate Menus
//

if: ($build_action >> 'Create') || ($create_action >> 'Duplicate');

	var: 'create_connectormap' = (array);
	var: 'create_hostmap' = (array);
	var: 'create_databasemap' = (array);
	var: 'create_tablemap' = (array);

	var: 'create_connectormap' = (_admin_listconnectors);
	loop: -loopfrom=$create_connectormap->size, -loopto=1, -loopincrement=(-1);
		if: $create_connectormap->(get: loop_count)->second->(find: 'status') != 'enabled';
			$create_connectormap->(remove: loop_count);
		/if;
	/loop;
	var: 'temp' = (_admin_defaultconnector: -id=$create_connectorid, $create_connectormap);
	if: ($temp != null);
		var: 'create_connectorid' = $temp->first;
		var: 'create_connectordetail' = $temp->second;
		var: 'create_connectoralias' = $create_connectordetail->(find: 'alias');
	else;
		var: 'create_connectorid' = 0;
		var: 'create_connectordetail' = null;
	/if;

	if: ($create_connectorid > 0);
		var: 'create_hostmap' = (_admin_listhosts: $create_connectorid);
		loop: -loopfrom=$create_hostmap->size, -loopto=1, -loopincrement=(-1);
			if: $create_hostmap->(get: loop_count)->second->(find: 'status') != 'enabled';
				$create_hostmap->(remove: loop_count);
			/if;
		/loop;
		var: 'temp' = (_admin_defaulthost: $create_hostid, $create_hostmap);
		if: ($temp != null);
			var: 'create_hostid' = $temp->first;
			var: 'create_hostdetail' = $temp->second;
		else;
			var: 'create_hostid' = 0;
			var: 'create_hostdetail' = null;
		/if;
	else;
		var: 'create_hostid' = 0;
		var: 'create_hostdetail' = null;
	/if;

	if: ($create_hostid > 0);
		var: 'create_databasemap' = (_admin_listdatabases: $create_hostid);
		loop: -loopfrom=$create_databasemap->size, -loopto=1, -loopincrement=(-1);
			if: $create_databasemap->(get: loop_count)->second->(find: 'status') != 'enabled';
				$create_databasemap->(remove: loop_count);
			/if;
		/loop;
		var: 'temp' = (_admin_defaultdatabase: $create_databaseid, $create_databasemap);
		if: ($temp != null);
			var: 'create_databaseid' = $temp->first;
			var: 'create_databasedetail' = $temp->second;
			var: 'create_databasename' = $create_databasedetail->(find: 'name');
			var: 'create_databasealias' = $create_databasedetail->(find: 'alias');
		else;
			var: 'create_databaseid' = 0;
			var: 'create_databasedetail' = null;
		/if;
	else;
		var: 'create_databaseid' = 0;
		var: 'create_databasedetail' = null;
	/if;

	if: ($create_databaseid > 0);
		var: 'create_tablemap' = (_admin_listtables: $create_databaseid);
		loop: -loopfrom=$create_tablemap->size, -loopto=1, -loopincrement=(-1);
			if: $create_tablemap->(get: loop_count)->second->(find: 'status') != 'enabled';
				$create_tablemap->(remove: loop_count);
			/if;
		/loop;
		var: 'temp' = (_admin_defaulttable: $create_tableid, $create_tablemap);
		if: ($temp != null);
			var: 'create_tableid' = $temp->first;
			var: 'create_tabledetail' = $temp->second;
			var: 'create_tablename' = $create_tabledetail->(find: 'name');
			var: 'create_tablealias' = $create_tabledetail->(find: 'alias');
		else;
			var: 'create_tableid' = 0;
			var: 'create_tabledetail' = null;
		/if;
	else;
		var: 'create_tableid' = 0;
		var: 'create_tabledetail' = null;
	/if;

	if: ($create_connectorid == 1) && ($create_databasename == 'site');
		var: 'create_databasename' = 'lasso_site_1';
	/if;

/if;



//
// Process Action
//

if: $build_action >> 'Update';

	_admin_updatetable: $build_tableid, 'alias'=$table_alias, 'enabled'=$table_enabled;
	if: $_code != (error_noerror);
		var: 'build_error' = $_error + ' (' + $_code + ')';
	else;
		var: 'build_message' = 'The table was updated successfully.';
	/if;

	var: 'build_action' = 'Refresh Detail';

else: $dialog_action >> 'Delete';

	inline: -database=$database_alias, -sql='DROP TABLE `' + $database_name + '`.`' + $table_name + '`';
		if: (error_currenterror) != (error_noerror);
			var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
		/if;
	/inline;

	_admin_deletetable: $build_tableid;

	var: 'build_action' = 'Refresh';

else: $build_action >> 'Create Field';

	// Redirect
	var: 'link' = $admin_link + '&tab3=fields' +
		'&build_connectorid=' + $build_connectorid +
		'&build_hostid=' + $build_hostid +
		'&build_databaseid=' + $build_databaseid +
		'&build_tableid=' + $build_tableid +
		'&build_action=Create+Field';
	redirect_url: $link;
	output: '<a href="' + $link + '">' + $link + '</a>', -encodenone;
	abort;

else: $build_action >> 'List Fields';

	// Redirect
	var: 'link' = $admin_link + '&tab3=fields' +
		'&build_connectorid=' + $build_connectorid +
		'&build_hostid=' + $build_hostid +
		'&build_databaseid=' + $build_databaseid +
		'&build_tableid=' + $build_tableid;
	redirect_url: $link;
	output: '<a href="' + $link + '">' + $link + '</a>', -encodenone;
	abort;

else: $build_action >> 'Create';

	if: $create_action >> 'Create New Table';

		var: 'build_navigation' = 'last';
		
		if: ((var: 'create_name') == '');
			var: 'build_error'='Please specify a table name.';
		else: ($reserved_words >> (var: 'create_name'));
			var: 'build_error'='That table name is reserved in MySQL.  Please choose another.';
		else: (string_replaceregexp: (var: 'create_name'), -find='\\w|\\$', -replace='') != '';
			var: 'build_error'='Table names should consist of only letters, numbers, and the underscore character.';
		/if;

		if: ((var: 'build_error') == '');
			inline: -database=$database_alias, -sql='CREATE TABLE `' + $database_name + '`.`' + $create_name + '` (`ID` BIGINT PRIMARY KEY AUTO_INCREMENT)';
				if: (error_currenterror) != (error_noerror);
					var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
				/if;
			/inline;

		/if;

		if: ((var: 'build_error') == '');

			_admin_refreshconnector: $build_connectorid;
			var: '__admin_tables_array' = null;

			var: 'temp_tablemap' = (_admin_listtables: $build_databaseid);
			var: 'build_tableid' = 0;

			loop: $temp_tablemap->size;
				var: 'temp'=$temp_tablemap->(get: loop_count)->second;
				if: $temp->(find: 'name') == $create_name;
					var: 'build_tableid' = $temp->(find: 'id');
				/if;
			/loop;

			_admin_updatetable: $build_tableid, 'enabled'=$create_enabled;

			var: 'build_action' = 'Refresh Detail';

		/if;

	else: $create_action >> 'Duplicate';

		var: 'build_navigation' = 'last';

		if: ((var: 'create_name') == '');
			var: 'build_error'='Please specify a table name.';
		else: ($reserved_words >> (var: 'create_name'));
			var: 'build_error'='That table name is reserved in MySQL.  Please choose another.';
		else: (string_replaceregexp: (var: 'create_name'), -find='\\w|\\$', -replace='') != '';
			var: 'build_error'='Table names should consist of only letters, numbers, and the underscore character.';
		/if;

		var: 'sql' = 'CREATE TABLE `' + $database_name + '`.`' + $create_name + '`';

		if: ($create_connectoralias >> 'MySQL');
			inline: -database=$create_databasealias, -sql='SHOW COLUMNS FROM `' + $create_tablename + '` FROM `' + $create_databasename + '`', -maxrecords='all';
				$sql += ' (';
				records;
					$sql += ' `' + (field: 'field') + '` ' + (field: 'type');
					if: (field: 'null') >> 'YES';
						$sql += ' NULL';
					else;
						$sql += ' NOT NULL';
					/if;
					if: (field: 'default') != '';
						$sql += ' DEFAULT \'' + (field: 'default') + '\'';
					/if;
					if: (field: 'key') >> 'PRI';
						$sql += ' PRIMARY KEY';
					/if;
					if: (field: 'extra') >> 'auto_increment';
						$sql += ' AUTO_INCREMENT';
					/if;
					$sql += ',';
				/records;
				$sql->(removetrailing: ',');
				$sql += ')';
			/inline;
		else: (($create_connectoralias >> 'FileMaker') || ($create_connectoralias >> 'FMRemoteDataSource')) && ($create_fmpmodel >> 'Yes');

			inline: -database=$create_databasealias, -table=$create_tablealias, -findall, -maxrecords='1';
				$sql += ' (';
				
				var: 'format_map' = (map);
				var: 'need_recordid'=true;
				loop: (field_name: -count);
					var: 'format'='';
					var: 'field_name' = (field_name: loop_count);
					if: $field_name >> ':';
						$field_name->(replace: ':', '_');
					/if;
					if: $field_name >> ' ';
						$field_name->(replace: ' ', '_');
					/if;
					if: $field_name >> '.';
						$field_name->(replace: '.', '_');
					/if;
					var: 'repeat_count' = 0;
					repeating: (field_name: loop_count);
						$repeat_count += 1;
					/repeating;
					if: $field_name == '__Record_ID__';
						$sql += ' `' + $field_name + '` BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,';
						var: 'need_recordid' = false;
						var: 'format' = 'integer';
					else: $repeat_count > 1;
						$sql += ' `' + $field_name + '` TEXT,';
						var: 'format' = 'string';
					else: (field_name: loop_count, -type) >> 'number';
						if: (string: (integer: (field: (field_name: loop_count)))) == (field: (field_name: loop_count));
							$sql += ' `' + $field_name + '` INTEGER,';
							var: 'format' = 'integer';
						else;
							$sql += ' `' + $field_name + '` DOUBLE,';
							var: 'format' = 'decimal';
						/if;
					else: (field_name: loop_count, -type) >> 'date/time';
						protect;
							if: (date: (field: (field_name: loop_count)), -format='%D') != '';
								var: 'format' = 'date';
							/if;
						/protect;
						protect;
							if: ($format == '') && (date: (field: (field_name: loop_count)), -format='%T') != '';
								var: 'format' = 'time';
							/if;
						/protect;
						if: $format == 'date';
							$sql += ' `' + $field_name + '` DATE,';
						else: $format == 'time';
							$sql += ' `' + $field_name + '` TIME,';
						else;
							$sql += ' `' + $field_name + '` TEXT,';
							var: 'format' = 'string';
						/if;
					else: (field_name: loop_count, -type) >> 'image';
						// Nothing
					else: (field_name: loop_count, -type) >> 'unknown';
						// Nothing
					else;
						$sql += ' `' + $field_name + '` TEXT,';
						var: 'format' = 'string';
					/if;
					$format_map->(insert: $field_name = $format);
				/loop;
				if: $need_recordid == true;
					$sql += ' `__Record_ID__` BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT';
					$format_map->(insert: '__Record_ID__' = 'integer');
				else;
					$sql->(removetrailing: ',');
				/if;
				$sql += ')';
			/inline;
		else;
			inline: -database=$create_databasealias, -table=$create_tablealias, -show, -maxrecords='all';
				$sql += ' (';

				var: 'need_recordid'=true;
				loop: (field_name: -count);
					var: 'field_name' = (field_name: loop_count);
					if: $field_name >> ':';
						$field_name->(replace: ':', '_');
					/if;
					if: $field_name >> ' ';
						$field_name->(replace: ' ', '_');
					/if;
					if: $field_name >> '.';
						$field_name->(replace: '.', '_');
					/if;
					if: $field_name == '__Record_ID__';
						$sql += ' `' + $field_name + '` BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,';
						var: 'need_recordid' = false;
					else;
						$sql += ' `' + $field_name + '` TEXT,';
					/if;
				/loop;
				if: $need_recordid == true;
					$sql += ' `__Record_ID__` BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT';
				else;
					$sql->(removetrailing: ',');
				/if;
				$sql += ')';
			/inline;
		/if;

		if: ((var: 'build_error') == '');
			inline: -database=$database_alias, -sql=$sql;
				if: (error_currenterror) != (error_noerror);
					var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
				/if;
			/inline;
		/if;

		if: ((var: 'build_error') == '');

			_admin_refreshconnector: $build_connectorid;
			var: '__admin_tables_array' = null;

			var: 'temp_tablemap' = (_admin_listtables: $build_databaseid);
			var: 'build_tableid' = 0;

			loop: $temp_tablemap->size;
				var: 'temp'=$temp_tablemap->(get: loop_count)->second;
				if: $temp->(find: 'name') == $create_name;
					var: 'build_tableid' = $temp->(find: 'id');
				/if;
			/loop;

			_admin_updatetable: $build_tableid, 'enabled'=$create_enabled;

			var: 'build_action' = 'Refresh Detail';

		/if;

		//
		// Copy Data Into New Database
		//

		if: ((var: 'build_error') == '') && ($create_data == 'Yes') && ($build_hostid == $create_hostid);

			var: 'sql' = 'INSERT INTO `' + $database_name + '`.`' + $create_name + '` SELECT * FROM `' + $create_databasename + '`.`' + $create_tablename + '`';

			if: ((var: 'build_error') == '');
				inline: -database=$database_alias, -sql=$sql;
					if: (error_currenterror) != (error_noerror);
						var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
					/if;
				/inline;
			/if;

		else: ((var: 'build_error') == '') && ($create_data == 'Yes') && (($create_connectoralias >> 'FileMaker') || ($create_connectoralias >> 'FMRemoteDataSource')) && ($create_fmpmodel >> 'Yes') && ((var: 'format_map')->size > 0);

			if: ((var: 'build_error') == '');
				inline: -database=$create_databasealias, -table=$create_tablealias, -findall, -maxrecords='all';

					if: (error_currenterror) != (error_noerror);
						var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
					/if;

					records;
						var: 'fields'=(array);
						loop: (field_name: -count);
							var: 'field_name'=(field_name: loop_count);
							if: $field_name >> ':';
								$field_name->(replace: ':', '_');
							/if;
							if: $field_name >> ' ';
								$field_name->(replace: ' ', '_');
							/if;
							if: $field_name >> '.';
								$field_name->(replace: '.', '_');
							/if;
							var: 'repeat_count' = 0;
							var: 'repeat_array' = (array);
							repeating: (field_name: loop_count);
								$repeat_count += 1;
								$repeat_array->(insert: repeating_valueitem);
							/repeating;
							if: $repeat_count > 1;
								$fields->(insert: $field_name = $repeat_array->(join: ', '));
							else: (field: (field_name: loop_count)) == '';
								// Empty Field - Do not add to import
							else: $format_map->(find: $field_name) == 'integer';
								$fields->(insert: $field_name = (integer: (field: (field_name: loop_count))));
							else: $format_map->(find: $field_name) == 'decimal';
								$fields->(insert: $field_name = (decimal: (field: (field_name: loop_count))));
							else: $format_map->(find: $field_name) == 'date';
								protect;
									$fields->(insert: $field_name = (date_format: (date: (field: (field_name: loop_count)), -format='%D'), -format='%Q'));
								/protect;
							else: $format_map->(find: $field_name) == 'time';
								protect;
									$fields->(insert: $field_name = (date_format: (date: (field: (field_name: loop_count)), -format='%T'), -format='%T'));
								/protect;
							else;
								$fields->(insert: $field_name = (field: (field_name: loop_count)));
							/if;
						/loop;

						if: ((var: 'build_error') == '');
							inline: -database=$database_name, -table=$create_name, -add, $fields;

								if: (error_currenterror) != (error_noerror);
									var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
								/if;
							/inline;
						else;
							loop_abort;
						/if;
					/records;
				/inline;
			/if;

		else: ((var: 'build_error') == '') && ($create_data == 'Yes');

			if: ((var: 'build_error') == '');
				inline: -database=$create_databasealias, -table=$create_tablealias, -findall, -maxrecords='all';

					if: (error_currenterror) != (error_noerror);
						var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
					/if;

					records;
						var: 'fields'=(array);
						loop: (field_name: -count);
							var: 'field_name'=(field_name: loop_count);
							if: $field_name >> ':';
								$field_name->(replace: ':', '_');
							/if;
							if: $field_name >> ' ';
								$field_name->(replace: ' ', '_');
							/if;
							if: $field_name >> '.';
								$field_name->(replace: '.', '_');
							/if;
							$fields->(insert: $field_name = (field: (field_name: loop_count)));
						/loop;

						if: ((var: 'build_error') == '');
							inline: -database=$database_name, -table=$create_name, -add, $fields;

								if: (error_currenterror) != (error_noerror);
									var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
								/if;
							/inline;
						else;
							loop_abort;
						/if;
					/records;
				/inline;
			/if;

		/if;

	/if;

/if;


//
// Build Menus
//

var: 'build_connectormap' = (array);
var: 'build_hostmap' = (array);
var: 'build_databasemap' = (array);
var: 'build_tablemap' = (array);

if: ($build_action >> 'Refresh');
	_admin_refreshsecurity;
/if;

var: 'temp_connectormap' = (_admin_listconnectors);
var: 'build_connectormap' = (array);
loop: $temp_connectormap->size;
	var: 'temp'=$temp_connectormap->(get:loop_count)->second;
	var: 'id'=$temp_connectormap->(get:loop_count)->first;
	if: ($temp->(find: 'name') >> 'MySQL') && ($temp->(find: 'status') == 'enabled');
		$build_connectormap->(insert: $id = $temp);
	/if;
/loop;
var: 'temp' = (_admin_defaultconnector: -id=$build_connectorid, $build_connectormap);
if: ($temp != null);
	var: 'build_connectorid' = $temp->first;
	var: 'build_connectordetail' = $temp->second;
	var: 'build_connectoralias' = $build_connectordetail->(find: 'alias');
else;
	var: 'build_connectorid' = 0;
	var: 'build_connectordetail' = null;
/if;

if: ($build_action >> 'Refresh') && ($build_connectorid != 0);
	_admin_refreshconnector: $build_connectorid;
/if;

if: ($build_connectorid > 0);
	var: 'build_hostmap' = (_admin_listhosts: $build_connectorid);
	loop: -loopfrom=$build_hostmap->size, -loopto=1, -loopincrement=(-1);
		if: $build_hostmap->(get: loop_count)->second->(find: 'status') != 'enabled';
			$build_hostmap->(remove: loop_count);
		/if;
	/loop;
	var: 'temp' = (_admin_defaulthost: $build_hostid, $build_hostmap);
	if: ($temp != null);
		var: 'build_hostid' = $temp->first;
		var: 'build_hostdetail' = $temp->second;
	else;
		var: 'build_hostid' = 0;
		var: 'build_hostdetail' = null;
	/if;
else;
	var: 'build_hostid' = 0;
	var: 'build_hostdetail' = null;
/if;

if: ($build_hostid > 0);
	var: 'build_databasemap' = (_admin_listdatabases: $build_hostid);
	loop: -loopfrom=$build_databasemap->size, -loopto=1, -loopincrement=(-1);
		if: $build_databasemap->(get: loop_count)->second->(find: 'status') != 'enabled';
			$build_databasemap->(remove: loop_count);
		/if;
	/loop;
	var: 'temp' = (_admin_defaultdatabase: $build_databaseid, $build_databasemap);
	if: ($temp != null);
		var: 'build_databaseid' = $temp->first;
		var: 'build_databasedetail' = $temp->second;
		var: 'build_databasename' = $build_databasedetail->(find: 'name');
		var: 'build_databasealias' = $build_databasedetail->(find: 'alias');
	else;
		var: 'build_databaseid' = 0;
		var: 'build_databasedetail' = null;
	/if;
else;
	var: 'build_databaseid' = 0;
	var: 'build_databasedetail' = null;
/if;

if: ($build_databaseid > 0) && ($build_databasedetail->(find: 'status') == 'enabled');
	var: 'build_tablemap' = (_admin_listtables: $build_databaseid);
	var: 'temp' = (_admin_defaulttable: $build_tableid, $build_tablemap);
	if: ($temp != null);
		var: 'build_tableid' = $temp->first;
		var: 'build_tabledetail' = $temp->second;
		var: 'build_tablename' = $build_tabledetail->(find: 'name');
		var: 'build_tablealias' = $build_tabledetail->(find: 'alias');
	else;
		var: 'build_tableid' = 0;
		var: 'build_tabledetail' = null;
	/if;
else;
	var: 'build_tableid' = 0;
	var: 'build_tabledetail' = null;
/if;


//
// Correct name of 'site' database
//

if: ($build_connectorid == 1) && ($build_databasename == 'site');
	var: 'build_databasename' = 'lasso_site_1';
/if;


//
// Process Navigation
//

if: $build_navigation >> 'Prev';
	$build_table_skip -= 10;
else: $build_navigation >> 'Next';
	$build_table_skip += 10;
else: $build_navigation >> 'First';
	$build_table_skip = 1;
else: $build_navigation >> 'Last';
	$build_table_skip = $build_tablemap->size - (($build_tablemap->size - 1) % 10);
else: $build_navigation >> 'Jump';
	$build_table_skip = integer: $build_jump;
/if;

var: 'found_count' = $build_tablemap->size;
var: 'build_table_skip' = integer: (math_max: 1, (math_min: $build_table_skip, $found_count));
var: 'shown_first' = $build_table_skip;
var: 'shown_last' = integer: (math_min: $found_count, $build_table_skip + 9);
var: 'shown_count' = ($shown_last - $shown_first + 1);



?>
