<?LassoScript

	define_tag: '_debug', -priority='replace';
	
		return: '';

		var: '_debug_count' = (integer: (var: '_debug_count')) + 1;
		local: 'colors'=(array: 'blue','purple','red','orange','green');
		local: 'output' = '<font size="1" color="' + #colors->(get: ($_debug_count % #colors->size) + 1) + '" face="Verdana">';
		iterate: (params), (local: 'temp');
			#output += #temp + ' ';
		/iterate;
		#output += '</font><br>';
		return: #output;
	/define_tag;
	
	define_tag: '_admin_nocache', -priority='replace';
		$__http_header__ += 'Expires: Mon, 26 Jul 1997 05:00:00 GMT\r\n';
		$__http_header__ += 'Last-Modified: ' + (Date_LocaltoGMT: date )->(format:'%a, %d %m %Y %H:%M:%S') + ' GMT\r\n';
		$__http_header__ += 'Cache-Control: no-store, no-cache, must-revalidate\r\n';
		$__http_header__ += 'Cache-Control: post-check=0, pre-check=0\r\n';
		$__http_header__ += 'Pragma: no-cache\r\n';
	/define_tag;
	
	define_tag: '_admin_addvar', -required='name', -optional='default', -optional='session', -optional='override', -optional='force', -priority='replace';
		if: ((var_defined: #name) == false) || ((var: #name) == null);
			var: #name = '';
		/if;
		if: (local_defined: 'force');
			var: #name = #force;
		else: (local_defined: 'override') && (#override != '');
			var: #name = #override;
		else: (local_defined: 'default') && ((var: #name) == '') && (#default != '');
			var: #name = #default;
		/if;
		if: (local_defined: 'session') && (#session != '');
			session_addvar: -name=#session, #name;
		/if;
	/define_tag;

?>