<?LassoScript

define_type:'thread_rwlock';
	local: 'maxInc' = 1000000000;
	local: 'sem' = thread_semaphore:#maxInc;

	define_tag:'readLock', -optional='timeout';
		if: local:'timeout' == null;
			#timeout = (-1);
		/if;
		return: (self->'sem'->(increment:1, #timeout));
	/define_tag;

	define_tag:'readUnlock';
		return: (self->'sem'->decrement:1);
	/define_tag;

	define_tag:'writeLock', -optional='timeout';
		if: local:'timeout' == null;
			#timeout = (-1);
		/if;
		return: (self->'sem'->(increment:(self->'maxInc'), #timeout));
	/define_tag;

	define_tag:'writeUnlock';
		return: (self->'sem'->decrement:(self->'maxInc'));
	/define_tag;

/define_type;

?>